# Class CallSite

java.lang.Object
java.lang.invoke.CallSite

public abstract class CallSite extends Object
Deprecated.
these classes are used internally for Lambda compatibility

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CallSite()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract MethodHandle`
  `dynamicInvoker()`
  Deprecated.
  `abstract MethodHandle`
  `getTarget()`
  Deprecated.
  `abstract void`
  `setTarget(MethodHandle mh)`
  Deprecated.
  `MethodType`
  `type()`
  Deprecated.

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `final Class`
  `getClass()`
  Returns the runtime class of an object.
  `int`
  `hashCode()`
  Returns a hash code value for the object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes current thread to wait until another thread invokes the method or the method for this object.
  `final void`
  `wait(long timeout)`
  Causes current thread to wait until either another thread invokes the method or the method for this object, or a specified amount of time has elapsed.
  `final void`
  `wait(long timeout, int nanos)`
  Causes current thread to wait until another thread invokes the method or the method for this object, or some other thread interrupts the current thread, or a certain amount of real time has elapsed.

- ## Constructor Details

  - ### CallSite

    public CallSite()
    Deprecated.

- ## Method Details

  - ### type

    public MethodType type()
    Deprecated.

  - ### getTarget

    public abstract MethodHandle getTarget()
    Deprecated.

  - ### setTarget

    public abstract void setTarget(MethodHandle mh)
    Deprecated.

  - ### dynamicInvoker

    public abstract MethodHandle dynamicInvoker()
    Deprecated.